## org.gnu.glib
Class SpawnError

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.glib.SpawnError

public class SpawnError
extends Enum

Field Summary
`static SpawnError` `ACCES`
`static SpawnError` `BIG2`
`static SpawnError` `CHDIR`
`static SpawnError` `FAILED`
`static SpawnError` `FORK`
`static SpawnError` `INVAL`
`static SpawnError` `IO`
`static SpawnError` `ISDIR`
`static SpawnError` `LIBBAD`
`static SpawnError` `LOOP`
`static SpawnError` `MFILE`
`static SpawnError` `NAMETOOLONG`
`static SpawnError` `NFILE`
`static SpawnError` `NOENT`
`static SpawnError` `NOEXEC`
`static SpawnError` `NOMEM`
`static SpawnError` `NOTDIR`
`static SpawnError` `PERM`
`static SpawnError` `READ`
`static SpawnError` `TXTBUSY`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SpawnError` `and(SpawnError other)`
`static SpawnError` `intern(int value)`
`SpawnError` `or(SpawnError other)`
`boolean` `test(SpawnError other)`
`SpawnError` `xor(SpawnError other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORK

    public static final SpawnError FORK

### READ

    public static final SpawnError READ

### CHDIR

    public static final SpawnError CHDIR

### ACCES

    public static final SpawnError ACCES

### PERM

    public static final SpawnError PERM

### BIG2

    public static final SpawnError BIG2

### NOEXEC

    public static final SpawnError NOEXEC

### NAMETOOLONG

    public static final SpawnError NAMETOOLONG

### NOENT

    public static final SpawnError NOENT

### NOMEM

    public static final SpawnError NOMEM

### NOTDIR

    public static final SpawnError NOTDIR

### LOOP

    public static final SpawnError LOOP

### TXTBUSY

    public static final SpawnError TXTBUSY

### IO

    public static final SpawnError IO

### NFILE

    public static final SpawnError NFILE

### MFILE

    public static final SpawnError MFILE

### INVAL

    public static final SpawnError INVAL

### ISDIR

    public static final SpawnError ISDIR

### LIBBAD

    public static final SpawnError LIBBAD

### FAILED

    public static final SpawnError FAILED

Method Detail

### intern

    public static SpawnError intern(int value)

### or

    public SpawnError or(SpawnError other)

### and

    public SpawnError and(SpawnError other)

### xor

    public SpawnError xor(SpawnError other)

### test

    public boolean test(SpawnError other)